Summary:   General-purpose stream-handling tool
Name:      cstream
Version:   3.1.1
Release:   3%{?dist}

Group:     Applications/System
License:   MIT
URL:       http://www.cons.org/cracauer/cstream.html
Source:    http://www.cons.org/cracauer/download/%{name}-%{version}.tar.gz
Patch2:    %{name}-%{version}-Wextra.patch
Patch3:    %{name}-%{version}-double-assignment.patch
Patch5:    %{name}-%{version}-meh.patch

BuildRoot: %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)


%description
cstream filters data streams, much like the UNIX tool dd(1).

It has a more traditional commandline syntax, support for precise
bandwidth limiting and reporting and support for FIFOs.

Data limits and throughput rate calculation will work for files > 4 GB.


%prep
%setup -q
%patch2 -p1 -b .Wextra
%patch3 -p1 -b .double-assignment
%patch5 -p1 -b .meh


%build
%{configure} INSTALL="%{__install} -p"
%{__make} %{?_smp_mflags} CFLAGS="%{optflags} -Wall -Wextra -Wno-unused-parameter -Werror"


%install
%{__rm} -rf %{buildroot}
%{__make} install DESTDIR="%{buildroot}"


%clean
%{__rm} -rf %{buildroot}


%check
%{__make} check installcheck DESTDIR="%{buildroot}"


%files
%defattr(-, root, root, 0755)
%doc CHANGES COPYRIGHT README TODO
%doc %{_mandir}/man1/cstream.1*
%{_bindir}/cstream


%changelog
* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.1.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.1.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Nov 16 2013 Hans Ulrich Niedermann <hun@n-dimensional.de> - 3.1.1-1
- Update to cstream-3.1.1 (#903580)

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.0.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.0.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.0.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Sep 12 2011 Hans Ulrich Niedermann <hun@n-dimensional.de> - 3.0.0-1
- Update to cstream-3.0.0 (IPv6 and small fixes)

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.7.6-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Sep 10 2010 Hans Ulrich Niedermann <hun@n-dimensional.de> - 2.7.6-4
- Remove double variable assignment (#631150)

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.7.6-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.7.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Dec 20 2008 Hans Ulrich Niedermann <hun@n-dimensional.de> - 2.7.6-1
- Update to upstream's 2.7.6 release.

* Sat Feb 09 2008 Hans Ulrich Niedermann <hun@n-dimensional.de> - 2.7.5-1
- Update to upstream's 2.7.5 release.

* Sat Feb 09 2008 Hans Ulrich Niedermann <hun@n-dimensional.de> - 2.7.4-4
- Add %%{?dist} to Release:

* Fri Feb 08 2008 Hans Ulrich Niedermann <hun@n-dimensional.de> - 2.7.4-3
- More compile warnings (-Wall -Wextra -Werror).
- Redacted description down to the most important points.

* Fri Feb 08 2008 Hans Ulrich Niedermann <hun@n-dimensional.de> - 2.7.4-2
- Spec file cleanups (use install target, get rpmlint to shut up).

* Fri Feb 08 2008 Mike Weisenborn <mike@weisenborn.com> - 2.7.4-1
- Initial package
